Print | Rate this content

Advisory: SUSE Linux Enterprise Server 11 SP1 - Installation With kISO May Yield Mixed Kernel Version Installations

SUPPORT COMMUNICATION - CUSTOMER ADVISORY

Document ID: c03237879

Version: 1

Advisory: SUSE Linux Enterprise Server 11 SP1 - Installation With kISO May Yield Mixed Kernel Version Installations
NOTICE: The information in this document, including products and software versions, is current as of the Release Date. This document is subject to change without notice.

Release Date: 2012-03-08

Last Updated: 2012-03-08


DESCRIPTION

During the installation of SUSE Linux Enterprise Server 11 SP1 on HP ProLiant Gen8-Series servers using the kISO, the resulting installation may have both the default and Xen kernel errata packages, but of differing versions:

  • SUSE Linux Enterprise Server 11 SP1 errata 2.6.32.36-0.5.2 (base)
  • SUSE Linux Enterprise Server 11 SP1 errata 2.6.32.46-0.3.1 (XEN)

Note: When installing the kernel-syms package the version needs to be selected.

Under ALL the following conditions:

  1. Perform an installation of SUSE Linux Enterprise Server 11 SP1 using the kISO as documented in Customer Advisory SUSE Linux Enterprise Server 11 SP1 - Installation of SUSE Linux Enterprise Server 11 SP1 Does Not Recognize the Chipset on HP ProLiant Gen8-Series Servers, located at the following URL:

    http://h20565.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c03237878

  2. Choose the Physical Machine as the install type.
  3. Choose the C/C++ Compiler and Tools software packages.
  4. If running Xen, choose the Xen/virtualization software packages
  5. Complete the installation.

SCOPE

Any HP ProLiant Gen8-series server attempting an installation of SUSE Linux Enterprise Server 11 SP1 using the kISO Version 1.0 and any packages that depend upon kernel-source and/or kernel-syms.

RESOLUTION

To avoid this issue, install SUSE Linux Enterprise Server 11 SP2 (or later).

As a workaround, use kISO Version 1.0 to perform the SUSE Linux Enterprise Server 11 SP1 installation, and perform either of the following:

  • If the system is already registered with SUSE, and has access to normal errata updates, use zypper or YaST to upgrade the system with multiple kernel versions to converge to a higher version (at least 2.6.32.46 or an even later available set). Then install the remaining kernel packages, like kernel-source or kernel-syms, as desired.

OR

  • For systems using a non-Xen kernel, when selecting the kernel-source, kernel-syms or other version dependent packages; when using YaST under the package versions tab, select the 2.6.32.36 version of the packages. If using zypper to install packages add the version number to the end of the package name
  • For systems using a Xen kernel, when selecting the kernel-source, kernel-syms or other version dependent packages; when using YaST under the package versions tab, select the 2.6.32.46 version of the packages. If using zypper to install packages add the version number to the end of the package name

Note: kISO versions later than Version 1.0 will not have multiple kernel versions. Packages requiring kernel-source or kernel-syms should install as expected.



RECEIVE PROACTIVE UPDATES : Receive support alerts (such as Customer Advisories), as well as updates on drivers, software, firmware, and customer replaceable components, proactively via e-mail through HP Subscriber's Choice. Sign up for Subscriber's Choice at the following URL: http://www.hp.com/go/myadvisory

NAVIGATION TIP : For hints on navigating HP.com to locate the latest drivers, patches, and other support software downloads for ProLiant servers and Options, refer to the Navigation Tips document .

SEARCH TIP : For hints on locating similar documents on HP.com, refer to the Search Tips document .

To search for additional advisories related to Linux, use the following search string:

+Advisory +ProLiant -"Software and Drivers" +Linux


Hardware Platforms Affected: HPE ProLiant SL230s Gen8 Server, HPE ProLiant SL250s Gen8 Server, HPE ProLiant BL460c Gen8 Server Blade, HPE ProLiant DL360p Gen8 Server, HPE ProLiant DL380p Gen8 Server, HPE ProLiant ML350p Gen8 Server
Operating Systems Affected: SUSE Linux Enterprise Server 11 (x86)
Software Affected: Not Applicable
Support Communication Cross Reference ID: IA03237879
©Copyright 2018 Hewlett Packard Enterprise Development LP
Hewlett Packard Enterprise Development shall not be liable for technical or editorial errors or omissions contained herein. The information provided is provided "as is" without warranty of any kind. To the extent permitted by law, neither HPE nor its affiliates, subcontractors or suppliers will be liable for incidental, special or consequential damages including downtime cost; lost profits; damages relating to the procurement of substitute products or services; or damages for loss of data, or software restoration. The information in this document is subject to change without notice. Hewlett Packard Enterprise Development and the names of Hewlett Packard Enterprise Development products referenced herein are trademarks of Hewlett Packard Enterprise Development in the United States and other countries. Other product and company names mentioned herein may be trademarks of their respective owners.

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.

Provide feedback

Please rate the information on this page to help us improve our content. Thank you!
Document title: Advisory: SUSE Linux Enterprise Server 11 SP1 - Installation With kISO May Yield Mixed Kernel Version Installations
Document ID: emr_na-c03237879-2
How helpful was this document?
How can we improve this document?
Note: Only English language comments can be accepted at this time.
Please wait while we process your request.